> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get fine-tuning job info

> Get info about a fine-tuning job.



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json get /v1/fine_tuning/jobs/{job_id}
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260506-297d05704
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v1/fine_tuning/jobs/{job_id}:
    get:
      tags:
        - fine-tuning
      summary: Get fine-tuning job info
      description: Get info about a fine-tuning job.
      operationId: get_fine_tuning_job_v1_fine_tuning_jobs__job_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FineTuningJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    FineTuningJob:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: integer
          title: Created At
        error:
          anyOf:
            - $ref: '#/components/schemas/Error'
            - type: 'null'
        finished_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Finished At
        hyperparameters:
          anyOf:
            - $ref: '#/components/schemas/SupervisedHParameters'
            - type: 'null'
        method:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/SupervisedMethodConfig-Output'
                - $ref: '#/components/schemas/SpecDraftMethodConfig-Output'
              discriminator:
                propertyName: type
                mapping:
                  spec-draft:
                    $ref: '#/components/schemas/SpecDraftMethodConfig-Output'
                  supervised:
                    $ref: '#/components/schemas/SupervisedMethodConfig-Output'
            - type: 'null'
          title: Method
        integrations:
          anyOf:
            - items:
                anyOf:
                  - $ref: '#/components/schemas/WandbIntegrationResponse'
                  - $ref: '#/components/schemas/MlflowIntegrationResponse'
                  - $ref: '#/components/schemas/HfExportIntegrationResponse'
              type: array
            - type: 'null'
          title: Integrations
        from_checkpoint:
          anyOf:
            - $ref: '#/components/schemas/HFCheckpointParametersResponse'
            - $ref: '#/components/schemas/FTCheckpointParameters'
            - type: 'null'
          title: From Checkpoint
        model:
          type: string
          title: Model
        object:
          type: string
          enum:
            - fine_tuning.job
          const: fine_tuning.job
          title: Object
          default: fine_tuning.job
        organization_id:
          type: string
          title: Organization Id
          default: ''
        result_files:
          items:
            type: string
          type: array
          title: Result Files
          default: []
        seed:
          type: integer
          title: Seed
          default: 0
        suffix:
          anyOf:
            - type: string
              maxLength: 64
            - type: 'null'
          title: Suffix
        status:
          type: string
          enum:
            - validating_files
            - queued
            - running
            - succeeded
            - failed
            - cancelled
          title: Status
        trained_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Trained Tokens
        training_file:
          type: string
          title: Training File
        validation_file:
          anyOf:
            - type: string
            - type: 'null'
          title: Validation File
        estimated_finish:
          anyOf:
            - type: integer
            - type: 'null'
          title: Estimated Finish
        trained_steps:
          anyOf:
            - type: integer
            - type: 'null'
          title: Trained Steps
        total_steps:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Steps
      additionalProperties: true
      type: object
      required:
        - id
        - created_at
        - model
        - status
        - training_file
      title: FineTuningJob
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Error:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        param:
          anyOf:
            - type: string
            - type: 'null'
          title: Param
      additionalProperties: true
      type: object
      required:
        - code
        - message
      title: Error
    SupervisedHParameters:
      properties:
        batch_size:
          type: integer
          maximum: 64
          minimum: 1
          title: Batch Size
          description: Batch size for training
          default: 8
        learning_rate:
          type: number
          minimum: 0
          title: Learning Rate
          description: Learning rate for training
          default: 0.00001
        n_epochs:
          type: integer
          maximum: 20
          minimum: 1
          title: N Epochs
          description: Number of epochs for training
          default: 3
        warmup_ratio:
          type: number
          maximum: 1
          minimum: 0
          title: Warmup Ratio
          description: Warmup ratio for learning rate
          default: 0
        weight_decay:
          type: number
          minimum: 0
          title: Weight Decay
          description: Weight decay for optimizer
          default: 0
        packing:
          type: boolean
          title: Packing
          description: Whether to use packing for training
          default: true
        max_grad_norm:
          type: number
          exclusiveMinimum: 0
          title: Max Grad Norm
          description: Maximum gradient norm for optimizer
          default: 1
        context_length:
          type: integer
          maximum: 131072
          minimum: 8192
          title: Context Length
          description: Context length for training
          default: 8192
        lora:
          type: boolean
          title: Lora
          description: Whether to use LoRA (Low-Rank Adaptation) for training
          default: false
        lora_r:
          type: integer
          maximum: 128
          minimum: 8
          title: Lora R
          description: Rank for LoRA
          default: 8
        lora_alpha:
          type: integer
          minimum: 8
          title: Lora Alpha
          description: Alpha parameter for LoRA
          default: 8
        lora_dropout:
          type: number
          maximum: 1
          minimum: 0
          title: Lora Dropout
          description: Dropout rate for LoRA
          default: 0
      additionalProperties: true
      type: object
      title: SupervisedHParameters
    SupervisedMethodConfig-Output:
      properties:
        type:
          type: string
          enum:
            - supervised
          const: supervised
          title: Type
          default: supervised
        supervised:
          $ref: '#/components/schemas/SupervisedConfig'
      type: object
      required:
        - supervised
      title: SupervisedMethodConfig
    SpecDraftMethodConfig-Output:
      properties:
        type:
          type: string
          enum:
            - spec-draft
          const: spec-draft
          title: Type
          default: spec-draft
        spec_draft:
          $ref: '#/components/schemas/SpecDraftConfig-Output'
      type: object
      required:
        - spec_draft
      title: SpecDraftMethodConfig
    WandbIntegrationResponse:
      properties:
        type:
          anyOf:
            - type: string
            - type: string
              enum:
                - wandb
              const: wandb
          title: Type
          default: wandb
        wandb:
          $ref: '#/components/schemas/WandbConfigResponse'
      type: object
      required:
        - wandb
      title: WandbIntegrationResponse
    MlflowIntegrationResponse:
      properties:
        type:
          type: string
          enum:
            - mlflow
          const: mlflow
          title: Type
          default: mlflow
        mlflow:
          $ref: '#/components/schemas/MlflowConfigResponse'
      type: object
      required:
        - mlflow
      title: MlflowIntegrationResponse
    HfExportIntegrationResponse:
      properties:
        type:
          anyOf:
            - type: string
            - type: string
              enum:
                - hf
              const: hf
          title: Type
          default: hf
        hf:
          $ref: '#/components/schemas/HfExportConfigResponse'
      type: object
      required:
        - hf
      title: HfExportIntegrationResponse
    HFCheckpointParametersResponse:
      properties:
        type:
          anyOf:
            - type: string
            - type: string
              enum:
                - hf
              const: hf
          title: Type
          default: hf
        repo:
          type: string
          title: Repo
        revision:
          anyOf:
            - type: string
            - type: 'null'
          title: Revision
      type: object
      required:
        - repo
      title: HFCheckpointParametersResponse
    FTCheckpointParameters:
      properties:
        type:
          anyOf:
            - type: string
            - type: string
              enum:
                - ft
              const: ft
          title: Type
          default: ft
      type: object
      title: FTCheckpointParameters
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SupervisedConfig:
      properties:
        hyperparameters:
          $ref: '#/components/schemas/SupervisedHParameters'
      type: object
      required:
        - hyperparameters
      title: SupervisedConfig
    SpecDraftConfig-Output:
      properties:
        hyperparameters:
          $ref: '#/components/schemas/SpecDraftHParameters'
      type: object
      required:
        - hyperparameters
      title: SpecDraftConfig
    WandbConfigResponse:
      properties:
        project:
          type: string
          title: Project
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        entity:
          anyOf:
            - type: string
            - type: 'null'
          title: Entity
        tags:
          items:
            type: string
          type: array
          title: Tags
      type: object
      required:
        - project
      title: WandbConfigResponse
    MlflowConfigResponse:
      properties:
        tracking_uri:
          type: string
          title: Tracking Uri
        experiment_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Experiment Name
        run_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Name
        tags:
          additionalProperties:
            type: string
          type: object
          title: Tags
      type: object
      required:
        - tracking_uri
        - experiment_name
        - run_name
      title: MlflowConfigResponse
    HfExportConfigResponse:
      properties:
        output_repo_name:
          type: string
          title: Output Repo Name
      type: object
      required:
        - output_repo_name
      title: HfExportConfigResponse
    SpecDraftHParameters:
      properties:
        batch_size:
          type: integer
          maximum: 64
          minimum: 1
          title: Batch Size
          description: Batch size for training
          default: 8
        learning_rate:
          type: number
          exclusiveMaximum: 1
          exclusiveMinimum: 0
          title: Learning Rate
          description: Learning rate for training
          default: 0.0075
        n_epochs:
          type: integer
          maximum: 20
          minimum: 1
          title: N Epochs
          description: Number of epochs for training
          default: 1
        warmup_ratio:
          type: number
          maximum: 1
          minimum: 0
          title: Warmup Ratio
          description: Warmup ratio for learning rate
          default: 0
        weight_decay:
          type: number
          minimum: 0
          title: Weight Decay
          description: Weight decay for optimizer
          default: 0
        packing:
          type: boolean
          title: Packing
          description: Whether to use packing for training
          default: true
        max_grad_norm:
          type: number
          exclusiveMinimum: 0
          title: Max Grad Norm
          description: Maximum gradient norm for optimizer
          default: 1
        context_length:
          type: integer
          maximum: 131072
          minimum: 8192
          title: Context Length
          description: Context length for training
          default: 8192
        architecture:
          type: string
          title: Architecture
          default: eagle3_original
        num_decoding_heads:
          type: integer
          maximum: 10
          minimum: 1
          title: Num Decoding Heads
          description: Number of speculative decoding heads
          default: 3
        loss:
          allOf:
            - $ref: '#/components/schemas/SpecDraftLossParams'
          description: Speculative drafter loss configuration
      additionalProperties: true
      type: object
      title: SpecDraftHParameters
    SpecDraftLossParams:
      properties:
        type:
          type: string
          enum:
            - kl
            - lk_alpha
            - lk_hybrid
          title: Type
          default: kl
      type: object
      title: SpecDraftLossParams
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````